> For the complete documentation index, see [llms.txt](https://docs.webtonative.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.webtonative.com/javascript-apis/orientation-handling-android.md).

# Orientation Handling - Android

{% hint style="info" %}
You'll need to import the javascript file in your website before starting from this [link](/javascript-apis/getting-started.md).
{% endhint %}

{% tabs %}
{% tab title="Plain Javascript" %}

<pre><code>window.WTN.setOrientation({
    orientation, //"protrait | landscape"
<strong>    forceOrientation // true | false
</strong>})
</code></pre>

{% endtab %}

{% tab title="npm" %}

```
import { setOrientation } from "webtonative";

setOrientation({
    orientation, //"protrait | landscape"
    forceOrientation // true | false
})
```

{% endtab %}
{% endtabs %}

orientation (type:string) - values "protrait" or "landscape" - Specify the orientation you want to keep.

forceOrentation (type:boolean) - value true or false - To override the device sensor. If set to true even if the phone is change to other orientation the app will not change, if set to false it will change according to the device sensors.

Feature added in Android on 23/05/25


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.webtonative.com/javascript-apis/orientation-handling-android.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
